function url_process(linkurl, fileurl, referurl, str)
    local pattern_name = "歌曲名称.-<[Aa].->(.-)</[Aa]>"
    local pattern_ext  = ".*(%..-)$"
    local start, _, tmp

    local base_name, ext

    start, _, tmp = string.find(str, pattern_name)
    --print(start, tmp)
    if start == nil then return ""  else base_name = tmp end
    base_name = string.gsub(base_name, "<.->", "")

    start, _, tmp = string.find(linkurl, pattern_ext)
    --print(start, tmp)
    if start == nil then return "" else ext = tmp end 

    return base_name .. ext
end

function url_query(str)
    local start
    local pattern_url = "i%.music%.cn%.yahoo%.com"

    start = string.find(str, pattern_url)
    if start == nil then
        return false
    end

    return true
end


f = {}
f.process = url_process
f.accept = url_query
intelligent_name_table["mp3_yahoo.lua"] = f
